Facebook Twitter rss Google+ Google+

Cómo

Published on septiembre 1st, 2016 | by baltolkien

6

Cómo instalar FET en openSUSE y no morir en el intento

Hace un tiempo hablé de una gran aplicación libre realmente útil para el mundo docente, un generador de horarios. Hoy me gustaría explicar cómo instalar FET en openSUSE de varias forma diferentes, una especie de segunda parte de un artículo que escribí hace tiempo pero dedicado a Kubuntu. Evidentemente os animo a comentar si conocéis alguna más.

Cómo instalar FET en openSUSE

Para instalar FET en openSUSE tenemos varias opciones. La primera de ellas es utilizar respositorios adicionales, ya que esta aplicación no se encuentra en los habituales. La segunda será la instalación desde la última versión de la aplicación que nos proporciona la página oficial.

Otra ventaja que se ha apuntado en los comentaros (gracias Victorhck), es que el primer método actualizará automáticamente la aplicación cuando el mantenedor lo haga, mientras que en el segundo método deberemos volver a hacerlo. Todo tiene sus ventajas e inconvenientes.

Con 1 click install

En primer lugar explicaré la forma gráfica en openSUSE, pero en vez de utilizar Yast haremos usos del buscador de aplicaciones online que tiene la distribución: software.opensuse.org. Así que nos vamos a dicha página y ponemos en el campo del buscador «Fet». Nos aparecerá una imagen similar a la inferior:

como instalar fet en opensuse

Ahora pinchamos el el primer fet, y nos aparecerá una imagen como la siguiente:

como instalar fet en opensuse1

En mi caso he seleccionado openSUSE Leap 42.1, he pinchado en «shown unstable packages» y finalmente he pinchado en 1 Click Install.  Se abrirá una ventana en el navegador que nos permitirá ejecutar directamente Yast para instalar Fet. Simplemente debemos ir diciendo «siguiente» para que se realice el proceso. Como vemos esto hará que tenga la versión 5.14.3 de la aplicación, algo vieja, pero con la ventaja de que estará integrado en el lanzador de aplicaciones.

 

 

Desde la versión oficial

Esté método es el más laborioso, cuesta mucho más tiempo, no integra la aplicación con el escritorio pero nos proporcionará la última versión de fet.

  • En primer lugar nos bajamos la versión oficial de la página del proyecto, en nuestro caso fet-5.30.3.tar.bz2.
  • A continuación lo descomprimimos y entramos en la carpeta.
  • En el archivo README tenemos las instrucciones, qué básicamente consisten
    • Abrir la consola
    • Escribimos $ qmake fet.pro
      • Si nos da un error parecido a este «If ‘qmake’ is not a typo you can use command-not-found to lookup the package that contains it, like this:
        cnf qmake» deberemos instalar el paquete libqt4-devel.

        • $ sudo zypper install libqt4-devel
    • Ahora simplemente escribimos $ make
    • Empezará la instalación, la cual llevará bastante tiempo.
    • Para ejecutar la aplicación deberemos escribir en la consola, en la ruta donde hemos instalado FET (que es donde hemos descomprimido FET
      • $ ./fet

Cómo instalar FET en Kubuntu

 

¿Qué es FET?

FET es una aplicación Software Libre y de código abierto para generar horarios académicos para cualquier tipo de institución. Utiliza un algoritmo de programación de horarios rápido y eficiente. y está licenciado bajo GNU GPL.
fet_01

Por lo general, FET es capaz de resolver un calendario complicado en un máximo de 5 a 20 minutos. Para realizar los horarios más simples, puede tardar un tiempo más corto, menos de 5 minutos (en algunos casos, una cuestión de segundos). Evidentemente para construir los horarios extremadamente difíciles, puede tardar un tiempo más largo, como horas.
Más información: Fet

Tags:


About the Author

Fundador y editor de KDE Blog. Profesor de ciencias en Secundaria, enamorado de su familia y del Software Libre. Sígueme en Twitter: @baltolkien



6 Responses to Cómo instalar FET en openSUSE y no morir en el intento

  1. victorhck says:

    Hola!

    con el primer método, cuando se actualice el software en el repositorio, se nos actualizará. Con el segundo método deberemos volver a instalarlo, etc…

    El mantenedor del paquete debería actualizar la versión de los repositorios a la última publicada, para estar al día.

    Saludos. 🙂

    PS: Si puedo le echo un vistazo a esto…

  2. baltolkien says:

    Gracias por la puntualización. La pondré en el artículo.
    Saludos

  3. victorhck says:

    He tratado de empaquetar la versión más reciente, pero OBS no es lo mío, y no he sido capaz.
    Le he mandado un mensaje al mantenedor para que lo actualice (aunque hace muchos años que no lo hace!! 🙁 )

    Saludos.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Back to Top ↑